package com.izouma.awesomeadmin.web;

import java.util.*;
import org.apache.shiro.authz.annotation.RequiresAuthentication;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;
import com.izouma.awesomeadmin.constant.AppConstant;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.dto.Result;
import com.izouma.awesomeadmin.model.SeeOrder;
import com.izouma.awesomeadmin.service.SeeOrderService;

/**
*  controller类
*/
@Controller
@RequestMapping("/seeOrder")
public class SeeOrderController extends BaseController{

    @Autowired
    private SeeOrderService seeOrderService;

    /**
    * <p>获取全部记录。</p>
    */
    @RequiresAuthentication
    @RequestMapping(value = "/all", method = RequestMethod.GET)
    @ResponseBody
    public Result all(SeeOrder record) {
        List<SeeOrder> pp = seeOrderService.getSeeOrderList(record);
        return new Result(true, pp);
    }

    /**
    * <p>根据Id。</p>
    */
    @RequestMapping(value = "/getSeeOrder", method = RequestMethod.GET)
    @ResponseBody
    public Result getSeeOrder(@RequestParam(required = false, value = "id") String id) {
        SeeOrder data = seeOrderService.getSeeOrderById(id);
        return new Result(true, data);
    }

    /**
    * <p>根据条件获取。</p>
    */
    @RequestMapping(value = "/getOne", method = RequestMethod.GET)
    @ResponseBody
    public Result getOne(SeeOrder record) {
        SeeOrder data = seeOrderService.getSeeOrder(record);
        return new Result(true, data);
    }


    /**
    * <p>分页查询。</p>
    */
    @RequestMapping(value = "/page", method = RequestMethod.GET)
    @ResponseBody
    public Result page(Page page, SeeOrder record) {
        Map<String, Object> result = new HashMap<>();

        List<SeeOrder> pp =seeOrderService.getSeeOrderByPage(page, record);

        result.put(AppConstant.PAGE, page);
        result.put("pp", pp);
        return new Result(true, result);
    }


    /**
    * <p>保存。</p>
    */
    @RequestMapping(value = "/save", method = RequestMethod.POST)
    @ResponseBody
    public Result save(SeeOrder record) {
        boolean num = seeOrderService.createSeeOrder(record);
        if (num) {
        return new Result(true, record.getId());
        }
        return new Result(false, "保存异常");
    }

    /**
    * <p>更新信息。</p>
    */
    @RequestMapping(value = "/update", method = RequestMethod.POST)
    @ResponseBody
    public Result updateSeeOrder(SeeOrder record) {
        boolean num = seeOrderService.updateSeeOrder(record);
        if (num) {
        return new Result(true, "保存成功");
        }
        return new Result(false, "保存异常");
    }

    /**
    * <p>删除。</p>
    */
    @RequestMapping(value = "/del", method = RequestMethod.POST)
    @ResponseBody
    public Result deleteSeeOrder(@RequestParam(required = true, value = "id") String id) {

        boolean num = seeOrderService.deleteSeeOrder(id);
        if (num) {
        return new Result(true, "删除成功");
        }
        return new Result(false, "删除异常");
    }
}

